package yrpg.bamp.basedata.webapi.pojo;

import kd.bos.openapi.common.custom.annotation.ApiModel;
import kd.bos.openapi.common.custom.annotation.ApiParam;


import java.util.List;

@ApiModel
public class GoodsDTO {

    @ApiParam(value = "编码", required = true, message = "商品编码不能为空")
    private String number;
    @ApiParam(value = "名称", required = true, message = "商品名称不能为空")
    private String name;
    @ApiParam(value = "产地")
    private String origination;
    @ApiParam(value = "规格组合名", required = true, message = "商品规格组合名不能为空")
    private String goods_specs;
    @ApiParam(value = "剂型")
    private String dosage_form;
    @ApiParam(value = "最小计量单位编码", required = true, message = "商品最小单位编码不能为空")
    private String base_unit_number;
    @ApiParam(value = "最小计量单位名称", required = true, message = "商品最小单位名称不能为空")
    private String base_unit_name;
    @ApiParam(value = "生产厂家")
    private String manufacturer;
    @ApiParam(value = "批准文号")
    private String approval_no;
    @ApiParam(value = "商品条码")
    private String goods_barcode;
    @ApiParam(value = "商品状态")
    private String medicine_status;
    @ApiParam(value = "包装规格")
    private String pack_spec;
    @ApiParam(value = "销售规格")
    private String sales_spec;
    @ApiParam(value = "产品规格")
    private String goods_spec;
    @ApiParam(value = "产品规格简称")
    private String goods_spec_abbr;
    @ApiParam(value = "商品类别1")
    private String goods_category1;
    @ApiParam(value = "商品类别2")
    private String goods_category2;
    @ApiParam(value = "商品类别3")
    private String goods_category3;
    @ApiParam(value = "备注")
    private String notes;
    @ApiParam(value = "有效期")
    private String expiry_char;
    @ApiParam(value = "国家集采品种")
    private String country_variety;
    @ApiParam(value = "JDE编码")
    private String goods_jde_number;
    @ApiParam(value = "商业编码")
    private String trade_code;
    @ApiParam(value = "单位转换")
    private List<GoodsUnitConversionDTO> unit_conversion;
    @ApiParam(value = "使用状态", required = true, message = "商品使用状态不能为空")
    private String enable;

    public String getGoods_spec_abbr() {
        return goods_spec_abbr;
    }

    public void setGoods_spec_abbr(String goods_spec_abbr) {
        this.goods_spec_abbr = goods_spec_abbr;
    }

    public String getTrade_code() {
        return trade_code;
    }

    public void setTrade_code(String trade_code) {
        this.trade_code = trade_code;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOrigination() {
        return origination;
    }

    public void setOrigination(String origination) {
        this.origination = origination;
    }

    public String getGoods_specs() {
        return goods_specs;
    }

    public void setGoods_specs(String goods_specs) {
        this.goods_specs = goods_specs;
    }

    public String getDosage_form() {
        return dosage_form;
    }

    public void setDosage_form(String dosage_form) {
        this.dosage_form = dosage_form;
    }

    public String getBase_unit_number() {
        return base_unit_number;
    }

    public void setBase_unit_number(String base_unit_number) {
        this.base_unit_number = base_unit_number;
    }

    public String getBase_unit_name() {
        return base_unit_name;
    }

    public void setBase_unit_name(String base_unit_name) {
        this.base_unit_name = base_unit_name;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public String getApproval_no() {
        return approval_no;
    }

    public void setApproval_no(String approval_no) {
        this.approval_no = approval_no;
    }

    public String getGoods_barcode() {
        return goods_barcode;
    }

    public void setGoods_barcode(String goods_barcode) {
        this.goods_barcode = goods_barcode;
    }

    public String getMedicine_status() {
        return medicine_status;
    }

    public void setMedicine_status(String medicine_status) {
        this.medicine_status = medicine_status;
    }

    public String getPack_spec() {
        return pack_spec;
    }

    public void setPack_spec(String pack_spec) {
        this.pack_spec = pack_spec;
    }

    public String getSales_spec() {
        return sales_spec;
    }

    public void setSales_spec(String sales_spec) {
        this.sales_spec = sales_spec;
    }

    public String getGoods_spec() {
        return goods_spec;
    }

    public void setGoods_spec(String goods_spec) {
        this.goods_spec = goods_spec;
    }

    public String getGoods_category1() {
        return goods_category1;
    }

    public void setGoods_category1(String goods_category1) {
        this.goods_category1 = goods_category1;
    }

    public String getGoods_category2() {
        return goods_category2;
    }

    public void setGoods_category2(String goods_category2) {
        this.goods_category2 = goods_category2;
    }

    public String getGoods_category3() {
        return goods_category3;
    }

    public void setGoods_category3(String goods_category3) {
        this.goods_category3 = goods_category3;
    }

    public String getNotes() {
        return notes;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public String getExpiry_char() {
        return expiry_char;
    }

    public void setExpiry_char(String expiry_char) {
        this.expiry_char = expiry_char;
    }

    public String getCountry_variety() {
        return country_variety;
    }

    public void setCountry_variety(String country_variety) {
        this.country_variety = country_variety;
    }

    public String getGoods_jde_number() {
        return goods_jde_number;
    }

    public void setGoods_jde_number(String goods_jde_number) {
        this.goods_jde_number = goods_jde_number;
    }

    public List<GoodsUnitConversionDTO> getUnit_conversion() {
        return unit_conversion;
    }

    public void setUnit_conversion(List<GoodsUnitConversionDTO> unit_conversion) {
        this.unit_conversion = unit_conversion;
    }

    public String getEnable() {
        return enable;
    }

    public void setEnable(String enable) {
        this.enable = enable;
    }
}
